#ifndef __DATA_REVERSINGIMAGE_H_
#define __DATA_REVERSINGIMAGE_H_

typedef enum
{
    em_CVBS_Ctrl_Step_Default = 0u,
    em_CVBS_Ctrl_Step_Closed,
    em_CVBS_Ctrl_Step_Opened,
    em_CVBS_Ctrl_Step_Closing,
    em_CVBS_Ctrl_Step_RefreshBottom,
    em_CVBS_Ctrl_Step_Opening,

    em_CVBS_Ctrl_Step_MAX,
} e_CVBS_Ctrl_Step;

typedef enum
{
    em_ReversingImageCMD_NoAct = 0u,

    em_ReversingImageCMD_OpenCompletion,
    em_ReversingImageCMD_CloseCompletion,
    em_ReversingImageCMD_BottomRefreshCompletion,

    em_ReversingImageCMD_MAX,
} e_ReversingImageCMD;

void ReversingImage_KL30_Init(void);
void ReversingImage_KL15_Init(void);
void ReversingImage_KL15_OFF_Init(void);
void ReversingImage_Main(void);
void ReversingImage_Cmd(e_ReversingImageCMD cmd);

e_CVBS_Ctrl_Step ReversingImage_Get_CVBS_Status(void);

unsigned char ReversingImage_GetInitCompleteFlag(void);

extern void ReversingImage_Clear_Sprite(void);

unsigned char ReversingImage_Enable_Flag_Get(void);

#endif 
